{
    template:'${tmpl}',
    data(){
        return {
           d:{},
           action:"",
           name:"",
           mobile:"",
           form:{
             agreement:{
               time:""
             },
           },
           invoiceRules: { },
        }
    },
    mounted:function(){
      console.log("---------------------------------router");
      console.log(this.$router);
      var q=this.$router.history.current.query;
      this.name=q.name;
      this.mobile=q.mobile;
      var date=new Date();
      console.log("----------------------------------date");
      console.log(date);
      var year= date.getFullYear();
      var month=date.getMonth()+1;
      var day=date.getDate();
      var time=year+"年"+month+"月"+day+"日";
      console.log("---------------------------time");
      console.log(time);
      this.form.agreement.time=time;
    },
    methods:{},
    vname:"gsb-invoicedetail"
}
